Bug 1629990 (CVE-2018-16999)

Summary: CVE-2018-16999 nasm: Invalid memory write (segmentation fault) in expand_smacro in preproc.c
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: java-sig-commits, mizdebsk, nickc
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:38:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1629991, 1629992    
Bug Blocks: 1629993    

Description Pedro Sampaio 2018-09-17 18:05:21 UTC
Netwide Assembler (NASM) 2.14rc15 has an invalid memory write (segmentation fault) in expand_smacro in preproc.c, which allows attackers to cause a denial of service via a crafted input file.

Upstream bug:

https://bugzilla.nasm.us/show_bug.cgi?id=3392508

Comment 1 Pedro Sampaio 2018-09-17 18:05:48 UTC
Created nasm tracking bugs for this issue:

Affects: fedora-all [bug 1629991]

Comment 3 Scott Gayou 2018-10-02 16:05:42 UTC
Unable to reproduce on RHEL 5-7.